com.fasterxml.jackson.jaxrs.cfg

## Class ObjectReaderInjector

- java.lang.Object
- - com.fasterxml.jackson.jaxrs.cfg.ObjectReaderInjector

    public class ObjectReaderInjector
    extends Object

Based on ideas from [Issue#32], this class allows registering a modifier (`ObjectReaderModifier`) that can be used to reconfigure `ObjectReader` that JAX-RS Resource will use for reading input into Java Objects. Usually this class is accessed from a Servlet or JAX-RS filter before execution reaches resource.

Since:
  2.3

### Field Summary

Fields
`protected static AtomicBoolean` `_hasBeenSet` Simple marker used to optimize out `ThreadLocal` access in cases where this feature is not being used
`protected static ThreadLocal<ObjectReaderModifier>` `_threadLocal`

### Method Summary

All Methods Static Methods Concrete Methods
`static ObjectReaderModifier` `get()`
`static ObjectReaderModifier` `getAndClear()`
`static void` `set(ObjectReaderModifier mod)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _threadLocal

    protected static final ThreadLocal<ObjectReaderModifier> _threadLocal

#### _hasBeenSet

    protected static final AtomicBoolean _hasBeenSet

Simple marker used to optimize out `ThreadLocal` access in cases where this feature is not being used

### Method Detail

#### set

    public static void set(ObjectReaderModifier mod)

#### get

    public static ObjectReaderModifier get()

#### getAndClear

    public static ObjectReaderModifier getAndClear()